Rated 3 out of 5 stars

Will you make this compatible with the latest version of Firefox, 4.0 RC (and later on the sharp version)?

This user has a previous review of this add-on.